Page MenuHomePhabricator

Don't sort categories alphabetically
Closed, ResolvedPublic

Description

Timeless seems to sort all categories alphabetically, which can lead to a strange order: E.g. https://en.wikipedia.org/wiki/2018_FIFA_World_Cup?useskin=timeless has the "July" categories before the "June" one. They should be kept in the order in which they are in source code.

Details

Related Gerrit Patches:
mediawiki/skins/Timeless : masterFix display of categories in the sidebar

Related Objects

Event Timeline

Schnark created this task.Jun 21 2018, 10:19 AM
Isarra added a subscriber: Isarra.Jun 24 2018, 4:21 PM

Off the top of my head the only reason I can think of why they'd be sorted alphabetically to begin with (because as you say, the on-page order is indeed more logical) is probably because they're actually being pulled straight from the database or something similarly idiotic because there's just no built-in way to get them... not entirely pre-rendered as html? Even so, if it normally gets them in the proper order, there must be some way to replicate the behaviour...

Needless to say this needs looking into.

Change 442021 had a related patch set uploaded (by Evad37; owner: Evad37):
[mediawiki/skins/Timeless@master] Fix display of categories in the sidebar

https://gerrit.wikimedia.org/r/442021

Vvjjkkii renamed this task from Don't sort categories alphabetically to fjaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: gerritbot.
Izno renamed this task from fjaaaaaaaa to Don't sort categories alphabetically.Jul 1 2018, 2:50 PM
Izno raised the priority of this task from High to Needs Triage.
Izno updated the task description. (Show Details)
Izno added a subscriber: gerritbot.

Change 442021 merged by jenkins-bot:
[mediawiki/skins/Timeless@master] Fix display of categories in the sidebar

https://gerrit.wikimedia.org/r/442021

Legoktm closed this task as Resolved.Jul 19 2018, 10:40 AM
Legoktm assigned this task to Evad37.